PKGCTL-VERSION-UPGRADE(1)

NAME
pkgctl-version-upgrade - Adjust the PKGBUILD to match the latest upstream version

SYNOPSIS

pkgctl version upgrade [OPTIONS] [PKGBASE...]

DESCRIPTION

Streamlines the process of keeping PKGBUILD files up-to-date with the latest upstream versions.

Upon execution, it automatically adjusts the PKGBUILD file, ensuring that the pkgver field is set to match the latest version available from the upstream source. In addition to updating the pkgver, this command also resets the pkgrel to 1 and updates checksums.

Outputs a summary of upgraded packages, up-to-date packages, and any check failures.

This simplifies the maintenance of PKGBUILD files, reducing the manual effort required to track and implement version changes from upstream sources.

CONFIGURATION

Uses nvchecker(1) and a .nvchecker.toml file located alongside the PKGBUILD. Refer to the configuration section in pkgctl-version(1).

OPTIONS

--no-update-checksums
    Disable computation and update of the checksums

-v, --verbose
    Display results including up-to-date versions

-h, --help
    Show a help text

SEE ALSO

pkgctl-version(1) nvchecker(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.